CentOS 6, Let’s Encrypt и Python3.5

Есть сервер с CentOS 6, на нем крутятся веб-приложения с SSL. Очередное обновление сертификата:

cd /usr/local/letsencrypt
./letsencrypt-auto renew

Выдало ошибку версии Python (требует 3.5, а имеется 2.6). К своему изумлению обнаружил, что данная проблема давно известна, но решается довольно нетривиальными способами (их даже несколько!).

Читать далее «CentOS 6, Let’s Encrypt и Python3.5»

Сертификаты SSL для сервера CentOS 6.9

Сайты баз данных с https в браузерах открываются с трудом: браузеры выдают жесткие предупреждения и пользователь, думая, что это — ошибка, закрывает сессию (рис.1)


Рисунок 1 — Сообщение браузера об ошибке сертификата SSL.

Как это исправить?
Читать далее «Сертификаты SSL для сервера CentOS 6.9»